Get Content Shelf Results
Runs the contentSource of a ContentShelf entry and returns its results. It runs the source's own params, including filters the account may not pass to the source's endpoint directly.
Authorization
authCookie Auth Token via Cookie
In: cookie
Path Parameters
The ID of a ContentShelf entry.
Query Parameters
The number of results to return. Only a content source with pagination pages.
1 <= value <= 50The nextCursor of the previous page. Only a content source with pagination pages.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/infoPush/ips_1fddd7dc-7d3f-4fc3-9e0a-f03378d4c520/content"{
"nextCursor": "QTuP-Rb7HLyMKm4HfAaVkAKFtt-GqeoP4xxwEjQHzw9pkTZJfLLYoBEeqkpAVOPiGvMvb_ZCvoBZAZdpytIz9HehgJjySxZv9sO6K1vzLuF8YILom4_8X4VJ2fB582_FKyVPEzrdcFfM8muziHjdEE4cyHPRiIANAdDziTToVjHFUgp-EgE9je5oD4qtAq0DqY1SSRSpkNWOaijZtBRhXeSzxYyHGs_fzAin7f-kjSq_ua8ZQibYz_Qz1xdnNP7AhAMN7t2BakOJlE_wpHRUaUh3086lZwuonx8tAGuL6DLkYRkhl84",
"responseType": "calendarEntry",
"results": [
{
"id": "cal_5b1a0248-dbbc-428f-9813-7a258d792b38",
"title": "Anarchy Timeǃ",
"type": "event",
"description": "It is time to come hang out with us and be crazy",
"accessType": "public",
"category": "performance",
"closeInstanceAfterEndMinutes": 5,
"createdAt": "2026-05-11T14:50:19.060Z",
"deletedAt": null,
"durationInMs": 69480000,
"endsAt": "2026-10-13T16:48:00.000Z",
"featured": false,
"guestEarlyJoinMinutes": 5,
"hostEarlyJoinMinutes": 60,
"imageId": "file_210d07c2-00da-468a-ae62-0bd56d43e156",
"imageUrl": "https://api.vrchat.cloud/api/1/file/file_210d07c2-00da-468a-ae62-0bd56d43e156/1/file",
"interestedUserCount": 3,
"isDraft": false,
"languages": [],
"occurrenceKind": "occurrence",
"ownerId": "grp_e2f5d74b-137a-4e9e-9a63-087e22ac48e9",
"platforms": [],
"recurrence": null,
"roleIds": null,
"seriesId": "cal_64c5113d-c29d-49d5-908a-1e46b3476d47",
"startsAt": "2026-10-12T21:30:00.000Z",
"tags": [
"Anarchy",
"Crazy",
"Fun",
"Hangout",
"Music"
],
"updatedAt": "2026-05-11T14:50:19.060Z",
"usesInstanceOverflow": false
}
]
}{
"error": {
"message": "imageUrl must be a URL˸ 'string'‚ assetUrl must be a URL˸ 'string'",
"status_code": 400
}
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "Shelf not found",
"status_code": 404
}
}Check API Health GET
Gets the overall health status, the server name, and the current build version tag of the API. VRChat has restricted this endpoint, which now always returns 401 Unauthorized.
Show Information Notices GET
IPS (Info Push System) is a system for VRChat to push out dynamic information to the client. This is primarily used by the Quick-Menu info banners, but can also be used to e.g. alert you to update your game to the latest version. `include` is used to query what Information Pushes should be included in the response. If include is missing or empty, then no notices will normally be returned. This is an "any of" search. `require` is used to limit what Information Pushes should be included in the response. This is usually used in combination with `include`, and is an "all of" search.